import javax.swing.*;
import javax.imageio.*;
import java.awt.*;
import java.net.*;
import java.io.*;
 
public class PicturePanel extends JPanel { 
   private Image background;
   int[] i;
   int[] t;
   Crossroads hardware;

   public PicturePanel(int[] i, int[] t, Crossroads hardware) {
      try {
       //  image = ImageIO.read(getClass().getResource("Bild.jpg"));
         background = ImageIO.read(getClass().getResource("Strassenkreuzung.jpg"));
      }
      catch(IllegalArgumentException iae) {
         JOptionPane.showMessageDialog(this, "Grafikdatei nicht gefunden!");
      }
      catch(IOException ioe) {
         JOptionPane.showMessageDialog(this, "Fehler beim Einlesen der Grafikdatei!");
      }
      this.i=i; this.t=t; this.hardware=hardware;
   }
 
   @Override
   protected void paintComponent(Graphics g) {
      super.paintComponent(g);
      if(background != null) { //beide Bilder mssen im Speicher liegen, sonst wird nichts gezeichnet
         g.drawImage(background, 10, 10, this);
      
         // g.setColor(Color.red);
             // unten rechts
             if (i[3]==1)  g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(528,522,15,15);  // 4
             if (i[26]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(544,489,15,15);  // 27
             if (i[22]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(591,449,15,15);  // 23
             // oben rechts
             if (i[14]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(548,132,15,15);  // 15           
             if (i[20]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(588,178,15,15);  // 21           
             if (i[6]==1)  g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(622,194,15,15);  // 7
             // oben links
             if (i[16]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(232,173,15,15);  // 17
             if (i[12]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(278,133,15,15);  // 13
             if (i[0]==1)  g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(294,100,15,15);  // 1
             // unten links
             if (i[24]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(273,491,15,15);  // 25                    
             if (i[18]==1) g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(232,445,15,15);  // 19                   
             if (i[9]==1)  g.setColor(Color.red); else g.setColor(Color.black); g.fillOval(199,429,15,15);  // 10                                
             
        // g.setColor(Color.yellow);
             if (i[4]==1)  g.setColor(Color.yellow); else g.setColor(Color.black); g.fillOval(528,543,15,15);  // 5
             if (i[7]==1)  g.setColor(Color.yellow); else g.setColor(Color.black); g.fillOval(642,194,15,15);  // 8
             if (i[1]==1)  g.setColor(Color.yellow); else g.setColor(Color.black); g.fillOval(294,79,15,15);   // 2
             if (i[10]==1) g.setColor(Color.yellow); else g.setColor(Color.black); g.fillOval(177,429,15,15);  // 11
            
          
        // g.setColor(Color.green);
             if (i[5]==1)  g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(528,562,15,15);  // 6
             if (i[27]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(524,489,15,15);  // 28
             if (i[23]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(591,429,15,15);  // 24
             // oben rechts
             if (i[15]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(528,132,15,15);  // 16      
             if (i[21]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(588,198,15,15);  // 22        
             if (i[8]==1)  g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(662,194,15,15);  // 9
             // oben links
             if (i[17]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(232,193,15,15);  // 18
             if (i[13]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(298,133,15,15);  // 14
             if (i[2]==1)  g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(294,60,15,15);   //  3       
             // unten links
             if (i[25]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(292,491,15,15);  // 26                     
             if (i[19]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(232,425,15,15);  // 20             
             if (i[11]==1) g.setColor(Color.green); else g.setColor(Color.black); g.fillOval(159,429,15,15);  // 12
             
             g.setColor(Color.black);
             if (t[0]==1) g.drawString("W",253,116); 
             if (t[1]==1) g.drawString("W",534,117);
             if (t[2]==1) g.drawString("W",194,203);
             if (t[3]==1) g.drawString("W",193,485);
             if (t[4]==1) g.drawString("W",621,175);
             if (t[5]==1) g.drawString("W",623,458);
             if (t[6]==1) g.drawString("W",281,545); 
             if (t[7]==1) g.drawString("W",565,544);
             if (hardware.getEnde()==true) {
                 g.drawString("Programm wird nach diesem Durchgang",300,300);
                 g.drawString("angehalten. Dies kann bis zu 20 Sek. dauern.",298,320);}
             
             
      }
   }
}